Subject: bug#56535: 28.1; `no' and `no-ding' values for isearch-wrap-pause option (since Emacs 28.1) not working as documented

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 20:52:00 +0300

> From: Arun V <[email-masked]>
> Date: Wed, 13 Jul 2022 22:52:49 +0530
> Cc: [email-masked]
> 
> Typing C-s over and over does wrap around at the end of the buffer.
> But that shouldn't be the behaviour when isearch-wrap-pause is set to
> `no' or `no-ding', right?
> 
> The following is an excerpt from the documentation I'm referring to
> [https://www.gnu.org/software/emacs/manual/html_node/emacs/Repeat-Isearch.html]
> 
> "You can control what happens when there are no more matches by
> customizing the isearch-wrap-pause user option. If it is t (the
> default), signal an error. (Repeating the search will wrap around.) If
> no, issue a ding and wrap immediately after reaching the last match.
> If no-ding, wrap immediately, but don’t ding. Finally, if nil, never
> wrap, but just stop at the last match."

Here it says "If no-ding, wrap immediately, but don’t ding."  And that
is what I see.  Where is the problem, or what am I missing?